1.8.3 Upgrade not working on Mac

I am on 1.8.2
My Upgrade to 1.8.3 not working
What can i do ? I am running MacOS Monterey

Thanks

My Log is:

Updating, please wait.
+++++++++++++++++++++++++++++++
Now updating OctoPrint to 1.8.3
+++++++++++++++++++++++++++++++
/Users/canakiltopu/OctoPrint/venv/bin/python -m pip --disable-pip-version-check install https://github.com/OctoPrint/OctoPrint/archive/1.8.3.zip --no-cache-dir
Collecting https://github.com/OctoPrint/OctoPrint/archive/1.8.3.zip
Downloading https://github.com/OctoPrint/OctoPrint/archive/1.8.3.zip (6.6 MB)
Requirement already satisfied: OctoPrint-FileCheck>=2021.2.23 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2021.2.23)
Requirement already satisfied: OctoPrint-FirmwareCheck>=2021.10.11 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2021.10.11)
Requirement already satisfied: OctoPrint-PiSupport>=2022.3.28 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2022.6.13)
Collecting argon2_cffi<22,>=21.3.0
Downloading argon2_cffi-21.3.0-py3-none-any.whl (14 kB)
Requirement already satisfied: cachelib<0.3,>=0.2 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.2.0)
Requirement already satisfied: Click<9,>=8.0.3 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (8.1.3)
Requirement already satisfied: colorlog<7,>=6 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (6.7.0)
Requirement already satisfied: emoji<2,>=1.4.2 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.6.1)
Requirement already satisfied: feedparser<7,>=6.0.8 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (6.0.8)
Requirement already satisfied: filetype<2,>=1.0.7 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.0.7)
Requirement already satisfied: Flask-Assets<3,>=2.0 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.0)
Requirement already satisfied: Flask-Babel<3,>=2.0 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.0.0)
Requirement already satisfied: Flask-Login<0.6,>=0.5 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.5.0)
Collecting Flask-Limiter<3,>=2.6
Downloading Flask_Limiter-2.6.2-py3-none-any.whl (25 kB)
Requirement already satisfied: flask<2.2,>=2.1 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.1.3)
Requirement already satisfied: frozendict<3,>=2.0 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.3.4)
Requirement already satisfied: future<1,>=0.18.2 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.18.2)
Requirement already satisfied: markdown<4,>=3.2.2 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (3.4.1)
Requirement already satisfied: netaddr<0.9,>=0.8 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.8.0)
Requirement already satisfied: netifaces<1,>=0.11 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.11.0)
Collecting passlib<2,>=1.7.4
Downloading passlib-1.7.4-py2.py3-none-any.whl (525 kB)
Requirement already satisfied: pathvalidate<3,>=2.4.1 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.5.0)
Requirement already satisfied: pkginfo<2,>=1.7.1 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.7.1)
Requirement already satisfied: psutil<6,>=5.8 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (5.8.0)
Requirement already satisfied: pylru<2,>=1.2 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.2.0)
Requirement already satisfied: pyserial<4,>=3.4 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (3.4)
Requirement already satisfied: PyYAML<6,>=5.4.1 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (5.4.1)
Requirement already satisfied: requests<3,>=2.26.0 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.26.0)
Requirement already satisfied: sarge==0.1.6 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.1.6)
Requirement already satisfied: semantic_version<3,>=2.8.5 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.8.5)
Requirement already satisfied: sentry-sdk<2,>=1.5.7 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.9.8)
Requirement already satisfied: tornado<7,>=6.0.4 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (6.1)
Requirement already satisfied: watchdog<2,>=1 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.0.2)
Requirement already satisfied: websocket-client<2,>=1.2.1 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.4.1)
Requirement already satisfied: werkzeug<2.1,>=2.0 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.0.3)
Requirement already satisfied: wrapt<1.14,>=1.13.3 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.13.3)
Requirement already satisfied: zeroconf<0.34,>=0.33 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.33.4)
Requirement already satisfied: zipstream-ng<2.0.0,>=1.3.4 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.3.4)
Requirement already satisfied: blinker<2,>=1.4 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.4)
Requirement already satisfied: regex in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2020.10.28)
Requirement already satisfied: unidecode in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.4.21)
Requirement already satisfied: appdirs<2,>=1.4.4 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.4.4)
Collecting argon2-cffi-bindings
Downloading argon2-cffi-bindings-21.2.0.tar.gz (1.8 MB)
Installing build dependencies: started
ERROR: Command errored out with exit status 1:
command: /Users/canakiltopu/OctoPrint/venv/bin/python /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages/pip install --ignore-installed --no-user --prefix /private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-lckjfonm/overlay --no-warn-script-location --no-binary :none: --only-binary :none: -i https://pypi.org/simple -- 'setuptools>=45' 'setuptools_scm>=6.2' wheel 'cffi>=1.0.1'
cwd: None
Complete output (136 lines):
Collecting setuptools>=45
Using cached setuptools-65.3.0-py3-none-any.whl (1.2 MB)
Collecting setuptools_scm>=6.2
Using cached setuptools_scm-7.0.5-py3-none-any.whl (42 kB)
Collecting wheel
Using cached wheel-0.37.1-py2.py3-none-any.whl (35 kB)
Collecting cffi>=1.0.1
Using cached cffi-1.15.1.tar.gz (508 kB)
Collecting packaging>=20.0
Using cached packaging-21.3-py3-none-any.whl (40 kB)
Collecting typing-extensions
Using cached typing_extensions-4.3.0-py3-none-any.whl (25 kB)
Collecting tomli>=1.0.0
Using cached tomli-2.0.1-py3-none-any.whl (12 kB)
Collecting pycparser
Using cached pycparser-2.21-py2.py3-none-any.whl (118 kB)
Collecting pyparsing!=3.0.5,>=2.0.2
Using cached pyparsing-3.0.9-py3-none-any.whl (98 kB)
Building wheels for collected packages: cffi
Building wheel for cffi (setup.py): started
Building wheel for cffi (setup.py): finished with status 'error'
ERROR: Command errored out with exit status 1:
command: /Users/canakiltopu/OctoPrint/venv/bin/python -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-install-tlyk43i6/cffi/setup.py'"'"'; __file__='"'"'/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-install-tlyk43i6/cffi/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' bdist_wheel -d /private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-wheel-_d3tsh54
cwd: /private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-install-tlyk43i6/cffi/
Complete output (48 lines):
xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun
xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun
No working compiler found, or bogus compiler options passed to
the compiler from Python's standard "distutils" module.  See
the error messages above.  Likely, the problem is not related
to CFFI but generic to the setup.py of any Python package that
tries to compile C code.  (Hints: on OS/X 10.8, for errors about
-mno-fused-madd see http://stackoverflow.com/questions/22313407/
Otherwise, see https://wiki.python.org/moin/CompLangPython or
the IRC channel #python on irc.libera.chat.)
Trying to continue anyway.  If you are trying to install CFFI from
a build done in a different context, you can ignore this warning.
running bdist_wheel
running build
running build_py
creating build
creating build/lib.macosx-11-x86_64-3.9
creating build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/backend_ctypes.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/error.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/setuptools_ext.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/__init__.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/cffi_opcode.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/vengine_gen.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/pkgconfig.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/model.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/ffiplatform.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/api.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/vengine_cpy.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/commontypes.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/lock.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/recompiler.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/cparser.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/verifier.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/_cffi_include.h -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/parse_c_type.h -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/_embedding.h -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/_cffi_errors.h -> build/lib.macosx-11-x86_64-3.9/cffi
running build_ext
building '_cffi_backend' extension
creating build/temp.macosx-11-x86_64-3.9
creating build/temp.macosx-11-x86_64-3.9/c
clang -Wno-unused-result -Wsign-compare -Wunreachable-code -fno-common -dynamic -DNDEBUG -g -fwrapv -O3 -Wall -DFFI_BUILDING=1 -I/Library/Developer/CommandLineTools/SDKs/MacOSX10.15.sdk/usr/include/ffi -I/usr/local/include -I/usr/local/opt/openssl@1.1/include -I/usr/local/opt/sqlite/include -I/usr/local/opt/tcl-tk/include -I/Users/canakiltopu/OctoPrint/venv/include -I/usr/local/Cellar/python@3.9/3.9.1_8/Frameworks/Python.framework/Versions/3.9/include/python3.9 -c c/_cffi_backend.c -o build/temp.macosx-11-x86_64-3.9/c/_cffi_backend.o -iwithsysroot/usr/include/ffi
xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun
error: command '/usr/bin/clang' failed with exit code 1
----------------------------------------
ERROR: Failed building wheel for cffi
Running setup.py clean for cffi
Failed to build cffi
Installing collected packages: setuptools, pyparsing, packaging, typing-extensions, tomli, setuptools-scm, wheel, pycparser, cffi
Running setup.py install for cffi: started
Running setup.py install for cffi: finished with status 'error'
ERROR: Command errored out with exit status 1:
command: /Users/canakiltopu/OctoPrint/venv/bin/python -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-install-tlyk43i6/cffi/setup.py'"'"'; __file__='"'"'/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-install-tlyk43i6/cffi/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-record-0miriccp/install-record.txt --single-version-externally-managed --prefix /private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-lckjfonm/overlay --compile --install-headers /private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-lckjfonm/overlay/include/site/python3.9/cffi
cwd: /private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-install-tlyk43i6/cffi/
Complete output (48 lines):
xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun
xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun
No working compiler found, or bogus compiler options passed to
the compiler from Python's standard "distutils" module.  See
the error messages above.  Likely, the problem is not related
to CFFI but generic to the setup.py of any Python package that
tries to compile C code.  (Hints: on OS/X 10.8, for errors about
-mno-fused-madd see http://stackoverflow.com/questions/22313407/
Otherwise, see https://wiki.python.org/moin/CompLangPython or
the IRC channel #python on irc.libera.chat.)
Trying to continue anyway.  If you are trying to install CFFI from
a build done in a different context, you can ignore this warning.
running install
running build
running build_py
creating build
creating build/lib.macosx-11-x86_64-3.9
creating build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/backend_ctypes.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/error.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/setuptools_ext.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/__init__.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/cffi_opcode.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/vengine_gen.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/pkgconfig.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/model.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/ffiplatform.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/api.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/vengine_cpy.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/commontypes.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/lock.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/recompiler.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/cparser.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/verifier.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/_cffi_include.h -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/parse_c_type.h -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/_embedding.h -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/_cffi_errors.h -> build/lib.macosx-11-x86_64-3.9/cffi
running build_ext
building '_cffi_backend' extension
creating build/temp.macosx-11-x86_64-3.9
creating build/temp.macosx-11-x86_64-3.9/c
clang -Wno-unused-result -Wsign-compare -Wunreachable-code -fno-common -dynamic -DNDEBUG -g -fwrapv -O3 -Wall -DFFI_BUILDING=1 -I/Library/Developer/CommandLineTools/SDKs/MacOSX10.15.sdk/usr/include/ffi -I/usr/local/include -I/usr/local/opt/openssl@1.1/include -I/usr/local/opt/sqlite/include -I/usr/local/opt/tcl-tk/include -I/Users/canakiltopu/OctoPrint/venv/include -I/usr/local/Cellar/python@3.9/3.9.1_8/Frameworks/Python.framework/Versions/3.9/include/python3.9 -c c/_cffi_backend.c -o build/temp.macosx-11-x86_64-3.9/c/_cffi_backend.o -iwithsysroot/usr/include/ffi
xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun
error: command '/usr/bin/clang' failed with exit code 1
----------------------------------------
ERROR: Command errored out with exit status 1: /Users/canakiltopu/OctoPrint/venv/bin/python -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-install-tlyk43i6/cffi/setup.py'"'"'; __file__='"'"'/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-install-tlyk43i6/cffi/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-record-0miriccp/install-record.txt --single-version-externally-managed --prefix /private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-lckjfonm/overlay --compile --install-headers /private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-lckjfonm/overlay/include/site/python3.9/cffi Check the logs for full command output.
WARNING: You are using pip version 20.2.4; however, version 22.2.2 is available.
You should consider upgrading via the '/Users/canakiltopu/OctoPrint/venv/bin/python -m pip install --upgrade pip' command.
----------------------------------------
ERROR: Command errored out with exit status 1: /Users/canakiltopu/OctoPrint/venv/bin/python /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages/pip install --ignore-installed --no-user --prefix /private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-lckjfonm/overlay --no-warn-script-location --no-binary :none: --only-binary :none: -i https://pypi.org/simple -- 'setuptools>=45' 'setuptools_scm>=6.2' wheel 'cffi>=1.0.1' Check the logs for full command output.
Installing build dependencies: finished with status 'error'
The update did not finish successfully. Please consult <code>octoprint.log</code> and <code>plugin_softwareupdate_console.log</code> for details.

I don't have a Mac so take this with a grain of salt, but quickly googling for the root cause here (missing xcrun) suggests this solution:

and thus running

xcode-select --install

See also the Mac install guide on the wiki here that mentions installing xcode and running the mentioned command.

Hi,

I installed commnad line tools according to this article. Terminal is not worked for me.

Now I guess the errors has changed:

Updating, please wait.
+++++++++++++++++++++++++++++++
Now updating OctoPrint to 1.8.3
+++++++++++++++++++++++++++++++
/Users/canakiltopu/OctoPrint/venv/bin/python -m pip --disable-pip-version-check install https://github.com/OctoPrint/OctoPrint/archive/1.8.3.zip --no-cache-dir
Collecting https://github.com/OctoPrint/OctoPrint/archive/1.8.3.zip
Downloading https://github.com/OctoPrint/OctoPrint/archive/1.8.3.zip (6.6 MB)
Requirement already satisfied: OctoPrint-FileCheck>=2021.2.23 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2021.2.23)
Requirement already satisfied: OctoPrint-FirmwareCheck>=2021.10.11 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2021.10.11)
Requirement already satisfied: OctoPrint-PiSupport>=2022.3.28 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2022.6.13)
Collecting argon2_cffi<22,>=21.3.0
Downloading argon2_cffi-21.3.0-py3-none-any.whl (14 kB)
Requirement already satisfied: cachelib<0.3,>=0.2 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.2.0)
Requirement already satisfied: Click<9,>=8.0.3 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (8.1.3)
Requirement already satisfied: colorlog<7,>=6 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (6.7.0)
Requirement already satisfied: emoji<2,>=1.4.2 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.6.1)
Requirement already satisfied: feedparser<7,>=6.0.8 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (6.0.8)
Requirement already satisfied: filetype<2,>=1.0.7 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.0.7)
Requirement already satisfied: Flask-Assets<3,>=2.0 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.0)
Requirement already satisfied: Flask-Babel<3,>=2.0 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.0.0)
Requirement already satisfied: Flask-Login<0.6,>=0.5 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.5.0)
Collecting Flask-Limiter<3,>=2.6
Downloading Flask_Limiter-2.6.2-py3-none-any.whl (25 kB)
Requirement already satisfied: flask<2.2,>=2.1 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.1.3)
Requirement already satisfied: frozendict<3,>=2.0 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.3.4)
Requirement already satisfied: future<1,>=0.18.2 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.18.2)
Requirement already satisfied: markdown<4,>=3.2.2 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (3.4.1)
Requirement already satisfied: netaddr<0.9,>=0.8 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.8.0)
Requirement already satisfied: netifaces<1,>=0.11 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.11.0)
Collecting passlib<2,>=1.7.4
Downloading passlib-1.7.4-py2.py3-none-any.whl (525 kB)
Requirement already satisfied: pathvalidate<3,>=2.4.1 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.5.0)
Requirement already satisfied: pkginfo<2,>=1.7.1 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.7.1)
Requirement already satisfied: psutil<6,>=5.8 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (5.8.0)
Requirement already satisfied: pylru<2,>=1.2 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.2.0)
Requirement already satisfied: pyserial<4,>=3.4 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (3.4)
Requirement already satisfied: PyYAML<6,>=5.4.1 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (5.4.1)
Requirement already satisfied: requests<3,>=2.26.0 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.26.0)
Requirement already satisfied: sarge==0.1.6 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.1.6)
Requirement already satisfied: semantic_version<3,>=2.8.5 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.8.5)
Requirement already satisfied: sentry-sdk<2,>=1.5.7 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.9.8)
Requirement already satisfied: tornado<7,>=6.0.4 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (6.1)
Requirement already satisfied: watchdog<2,>=1 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.0.2)
Requirement already satisfied: websocket-client<2,>=1.2.1 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.4.1)
Requirement already satisfied: werkzeug<2.1,>=2.0 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2.0.3)
Requirement already satisfied: wrapt<1.14,>=1.13.3 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.13.3)
Requirement already satisfied: zeroconf<0.34,>=0.33 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.33.4)
Requirement already satisfied: zipstream-ng<2.0.0,>=1.3.4 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.3.4)
Requirement already satisfied: blinker<2,>=1.4 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.4)
Requirement already satisfied: regex in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (2020.10.28)
Requirement already satisfied: unidecode in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (0.4.21)
Requirement already satisfied: appdirs<2,>=1.4.4 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from OctoPrint==1.8.3) (1.4.4)
Collecting argon2-cffi-bindings
Downloading argon2-cffi-bindings-21.2.0.tar.gz (1.8 MB)
Installing build dependencies: started
Installing build dependencies: finished with status 'done'
Getting requirements to build wheel: started
Getting requirements to build wheel: finished with status 'done'
Preparing wheel metadata: started
Preparing wheel metadata: finished with status 'done'
Requirement already satisfied: sgmllib3k in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from feedparser<7,>=6.0.8->OctoPrint==1.8.3) (1.0.0)
Requirement already satisfied: webassets>=2.0 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from Flask-Assets<3,>=2.0->OctoPrint==1.8.3) (2.0)
Requirement already satisfied: Babel>=2.3 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from Flask-Babel<3,>=2.0->OctoPrint==1.8.3) (2.8.0)
Requirement already satisfied: pytz in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from Flask-Babel<3,>=2.0->OctoPrint==1.8.3) (2020.4)
Requirement already satisfied: Jinja2>=2.5 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from Flask-Babel<3,>=2.0->OctoPrint==1.8.3) (2.11.3)
Collecting limits>=2.3
Downloading limits-2.7.0-py3-none-any.whl (41 kB)
Collecting rich<13,>=12
Downloading rich-12.5.1-py3-none-any.whl (235 kB)
Collecting typing-extensions
Downloading typing_extensions-4.3.0-py3-none-any.whl (25 kB)
Requirement already satisfied: importlib-metadata>=3.6.0; python_version < "3.10" in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from flask<2.2,>=2.1->OctoPrint==1.8.3) (4.12.0)
Requirement already satisfied: itsdangerous>=2.0 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from flask<2.2,>=2.1->OctoPrint==1.8.3) (2.1.2)
Requirement already satisfied: charset-normalizer~=2.0.0; python_version >= "3" in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from requests<3,>=2.26.0->OctoPrint==1.8.3) (2.0.7)
Requirement already satisfied: urllib3<1.27,>=1.21.1 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from requests<3,>=2.26.0->OctoPrint==1.8.3) (1.25.11)
Requirement already satisfied: idna<4,>=2.5; python_version >= "3" in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from requests<3,>=2.26.0->OctoPrint==1.8.3) (2.10)
Requirement already satisfied: certifi>=2017.4.17 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from requests<3,>=2.26.0->OctoPrint==1.8.3) (2020.6.20)
Requirement already satisfied: ifaddr>=0.1.7 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from zeroconf<0.34,>=0.33->OctoPrint==1.8.3) (0.1.7)
Collecting cffi>=1.0.1
Downloading cffi-1.15.1.tar.gz (508 kB)
Requirement already satisfied: MarkupSafe>=0.23 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from Jinja2>=2.5->Flask-Babel<3,>=2.0->OctoPrint==1.8.3) (1.1.1)
Collecting deprecated>=1.2
Downloading Deprecated-1.2.13-py2.py3-none-any.whl (9.6 kB)
Collecting packaging<22,>=21
Downloading packaging-21.3-py3-none-any.whl (40 kB)
Requirement already satisfied: setuptools in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from limits>=2.3->Flask-Limiter<3,>=2.6->OctoPrint==1.8.3) (50.3.2)
Collecting commonmark<0.10.0,>=0.9.0
Downloading commonmark-0.9.1-py2.py3-none-any.whl (51 kB)
Collecting pygments<3.0.0,>=2.6.0
Downloading Pygments-2.13.0-py3-none-any.whl (1.1 MB)
Requirement already satisfied: zipp>=0.5 in /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages (from importlib-metadata>=3.6.0; python_version < "3.10"->flask<2.2,>=2.1->OctoPrint==1.8.3) (3.8.1)
Collecting pycparser
Downloading pycparser-2.21-py2.py3-none-any.whl (118 kB)
Collecting pyparsing!=3.0.5,>=2.0.2
Downloading pyparsing-3.0.9-py3-none-any.whl (98 kB)
Building wheels for collected packages: OctoPrint, argon2-cffi-bindings, cffi
Building wheel for OctoPrint (setup.py): started
Building wheel for OctoPrint (setup.py): finished with status 'done'
Created wheel for OctoPrint: filename=OctoPrint-1.8.3-py2.py3-none-any.whl size=3906580 sha256=7293abc3b9c65150a1c16c098f5f8bf934a2a52c2afe8ff2e13a83d51e2c5d92
Stored in directory: /private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-ephem-wheel-cache-sqeg8l7a/wheels/b8/17/ba/bf0a2f18b599afc3c571b475c3410ec31d55df84c5c663eb66
Building wheel for argon2-cffi-bindings (PEP 517): started
Building wheel for argon2-cffi-bindings (PEP 517): finished with status 'error'
Building wheel for cffi (setup.py): started
ERROR: Command errored out with exit status 1:
command: /Users/canakiltopu/OctoPrint/venv/bin/python /Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages/pip/_vendor/pep517/_in_process.py build_wheel /var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/tmpm6g9hdxb
cwd: /private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-install-xks_w85j/argon2-cffi-bindings
Complete output (90 lines):
running bdist_wheel
running build
running build_py
creating build
creating build/lib.macosx-11-x86_64-cpython-39
creating build/lib.macosx-11-x86_64-cpython-39/_argon2_cffi_bindings
copying src/_argon2_cffi_bindings/__init__.py -> build/lib.macosx-11-x86_64-cpython-39/_argon2_cffi_bindings
copying src/_argon2_cffi_bindings/_ffi_build.py -> build/lib.macosx-11-x86_64-cpython-39/_argon2_cffi_bindings
running build_ext
generating cffi module 'build/temp.macosx-11-x86_64-cpython-39/_ffi.c'
creating build/temp.macosx-11-x86_64-cpython-39
building '_ffi' extension
creating build/temp.macosx-11-x86_64-cpython-39/build
creating build/temp.macosx-11-x86_64-cpython-39/build/temp.macosx-11-x86_64-cpython-39
creating build/temp.macosx-11-x86_64-cpython-39/extras
creating build/temp.macosx-11-x86_64-cpython-39/extras/libargon2
creating build/temp.macosx-11-x86_64-cpython-39/extras/libargon2/src
creating build/temp.macosx-11-x86_64-cpython-39/extras/libargon2/src/blake2
clang -Wno-unused-result -Wsign-compare -Wunreachable-code -fno-common -dynamic -DNDEBUG -g -fwrapv -O3 -Wall -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk -Iextras/libargon2/include -I/Users/canakiltopu/OctoPrint/venv/include -I/usr/local/opt/python@3.9/Frameworks/Python.framework/Versions/3.9/include/python3.9 -c build/temp.macosx-11-x86_64-cpython-39/_ffi.c -o build/temp.macosx-11-x86_64-cpython-39/build/temp.macosx-11-x86_64-cpython-39/_ffi.o -msse2
Traceback (most recent call last):
File "/Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages/pip/_vendor/pep517/_in_process.py", line 280, in <module>
main()
File "/Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages/pip/_vendor/pep517/_in_process.py", line 263, in main
json_out['return_val'] = hook(**hook_input['kwargs'])
File "/Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages/pip/_vendor/pep517/_in_process.py", line 204, in build_wheel
return _build_backend().build_wheel(wheel_directory, config_settings,
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/build_meta.py", line 412, in build_wheel
return self._build_with_temp_dir(['bdist_wheel'], '.whl',
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/build_meta.py", line 397, in _build_with_temp_dir
self.run_setup()
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/build_meta.py", line 335, in run_setup
exec(code, locals())
File "<string>", line 86, in <module>
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/__init__.py", line 87, in setup
return distutils.core.setup(**attrs)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/core.py", line 185, in setup
return run_commands(dist)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/core.py", line 201, in run_commands
dist.run_commands()
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/dist.py", line 973, in run_commands
self.run_command(cmd)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/dist.py", line 1217, in run_command
super().run_command(command)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/dist.py", line 992, in run_command
cmd_obj.run()
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/wheel/bdist_wheel.py", line 299, in run
self.run_command('build')
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/cmd.py", line 319, in run_command
self.distribution.run_command(command)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/dist.py", line 1217, in run_command
super().run_command(command)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/dist.py", line 992, in run_command
cmd_obj.run()
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/command/build.py", line 132, in run
self.run_command(cmd_name)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/cmd.py", line 319, in run_command
self.distribution.run_command(command)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/dist.py", line 1217, in run_command
super().run_command(command)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/dist.py", line 992, in run_command
cmd_obj.run()
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/cffi/setuptools_ext.py", line 144, in run
base_class.run(self)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/command/build_ext.py", line 84, in run
_build_ext.run(self)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/command/build_ext.py", line 346, in run
self.build_extensions()
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/command/build_ext.py", line 466, in build_extensions
self._build_extensions_serial()
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/command/build_ext.py", line 492, in _build_extensions_serial
self.build_extension(ext)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/command/build_ext.py", line 246, in build_extension
_build_ext.build_extension(self, ext)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/command/build_ext.py", line 547, in build_extension
objects = self.compiler.compile(
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/ccompiler.py", line 599, in compile
self._compile(obj, src, ext, cc_args, extra_postargs, pp_opts)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/unixccompiler.py", line 186, in _compile
self.spawn(compiler_so + cc_args + [src, '-o', obj] + extra_postargs)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/ccompiler.py", line 1007, in spawn
spawn(cmd, dry_run=self.dry_run, **kwargs)
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-build-env-byflwwzb/overlay/lib/python3.9/site-packages/setuptools/_distutils/spawn.py", line 57, in spawn
proc = subprocess.Popen(cmd, env=env)
File "/usr/local/Cellar/python@3.9/3.9.1_8/Frameworks/Python.framework/Versions/3.9/lib/python3.9/subprocess.py", line 947, in __init__
self._execute_child(args, executable, preexec_fn, close_fds,
File "/usr/local/Cellar/python@3.9/3.9.1_8/Frameworks/Python.framework/Versions/3.9/lib/python3.9/subprocess.py", line 1739, in _execute_child
env_list.append(k + b'=' + os.fsencode(v))
File "/usr/local/Cellar/python@3.9/3.9.1_8/Frameworks/Python.framework/Versions/3.9/lib/python3.9/os.py", line 810, in fsencode
filename = fspath(filename)  # Does type-checking of `filename`.
TypeError: expected str, bytes or os.PathLike object, not int
----------------------------------------
ERROR: Failed building wheel for argon2-cffi-bindings
Building wheel for cffi (setup.py): finished with status 'error'
Running setup.py clean for cffi
ERROR: Command errored out with exit status 1:
command: /Users/canakiltopu/OctoPrint/venv/bin/python -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-install-xks_w85j/cffi/setup.py'"'"'; __file__='"'"'/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-install-xks_w85j/cffi/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' bdist_wheel -d /private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-wheel-89zeev82
cwd: /private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-install-xks_w85j/cffi/
Complete output (92 lines):
running bdist_wheel
running build
running build_py
creating build
creating build/lib.macosx-11-x86_64-3.9
creating build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/backend_ctypes.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/error.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/setuptools_ext.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/__init__.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/cffi_opcode.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/vengine_gen.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/pkgconfig.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/model.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/ffiplatform.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/api.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/vengine_cpy.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/commontypes.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/lock.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/recompiler.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/cparser.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/verifier.py -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/_cffi_include.h -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/parse_c_type.h -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/_embedding.h -> build/lib.macosx-11-x86_64-3.9/cffi
copying cffi/_cffi_errors.h -> build/lib.macosx-11-x86_64-3.9/cffi
running build_ext
building '_cffi_backend' extension
creating build/temp.macosx-11-x86_64-3.9
creating build/temp.macosx-11-x86_64-3.9/c
clang -Wno-unused-result -Wsign-compare -Wunreachable-code -fno-common -dynamic -DNDEBUG -g -fwrapv -O3 -Wall -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk -DFFI_BUILDING=1 -DUSE__THREAD -DHAVE_SYNC_SYNCHRONIZE -I/Library/Developer/CommandLineTools/SDKs/MacOSX10.15.sdk/usr/include/ffi -I/usr/local/include -I/usr/local/opt/openssl@1.1/include -I/usr/local/opt/sqlite/include -I/usr/local/opt/tcl-tk/include -I/Users/canakiltopu/OctoPrint/venv/include -I/usr/local/Cellar/python@3.9/3.9.1_8/Frameworks/Python.framework/Versions/3.9/include/python3.9 -c c/_cffi_backend.c -o build/temp.macosx-11-x86_64-3.9/c/_cffi_backend.o -iwithsysroot/usr/include/ffi
clang -bundle -undefined dynamic_lookup -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk build/temp.macosx-11-x86_64-3.9/c/_cffi_backend.o -L/usr/local/lib -L/usr/local/opt/openssl@1.1/lib -L/usr/local/opt/sqlite/lib -L/usr/local/opt/tcl-tk/lib -lffi -o build/lib.macosx-11-x86_64-3.9/_cffi_backend.cpython-39-darwin.so
installing to build/bdist.macosx-11-x86_64/wheel
running install
running install_lib
creating build/bdist.macosx-11-x86_64
creating build/bdist.macosx-11-x86_64/wheel
creating build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/_cffi_include.h -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/backend_ctypes.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/error.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/setuptools_ext.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/_cffi_errors.h -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/__init__.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/cffi_opcode.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/vengine_gen.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/pkgconfig.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/model.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/ffiplatform.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/api.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/vengine_cpy.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/_embedding.h -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/commontypes.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/lock.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/recompiler.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/cparser.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/verifier.py -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/cffi/parse_c_type.h -> build/bdist.macosx-11-x86_64/wheel/cffi
copying build/lib.macosx-11-x86_64-3.9/_cffi_backend.cpython-39-darwin.so -> build/bdist.macosx-11-x86_64/wheel
running install_egg_info
running egg_info
writing cffi.egg-info/PKG-INFO
writing dependency_links to cffi.egg-info/dependency_links.txt
writing entry points to cffi.egg-info/entry_points.txt
writing requirements to cffi.egg-info/requires.txt
writing top-level names to cffi.egg-info/top_level.txt
reading manifest file 'cffi.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
writing manifest file 'cffi.egg-info/SOURCES.txt'
Copying cffi.egg-info to build/bdist.macosx-11-x86_64/wheel/cffi-1.15.1-py3.9.egg-info
running install_scripts
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/private/var/folders/h4/0p6kvdyj7djgry5h_4jcv44h0000gp/T/pip-install-xks_w85j/cffi/setup.py", line 179, in <module>
setup(
File "/Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages/setuptools/__init__.py", line 153, in setup
return distutils.core.setup(**attrs)
File "/usr/local/Cellar/python@3.9/3.9.1_8/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/core.py", line 148, in setup
dist.run_commands()
File "/usr/local/Cellar/python@3.9/3.9.1_8/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/dist.py", line 966, in run_commands
self.run_command(cmd)
File "/usr/local/Cellar/python@3.9/3.9.1_8/Frameworks/Python.framework/Versions/3.9/lib/python3.9/distutils/dist.py", line 985, in run_command
cmd_obj.run()
File "/Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages/wheel/bdist_wheel.py", line 328, in run
impl_tag, abi_tag, plat_tag = self.get_tag()
File "/Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages/wheel/bdist_wheel.py", line 252, in get_tag
plat_name = get_platform(self.bdist_dir)
File "/Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages/wheel/bdist_wheel.py", line 48, in get_platform
result = calculate_macosx_platform_tag(archive_root, result)
File "/Users/canakiltopu/OctoPrint/venv/lib/python3.9/site-packages/wheel/macosx_libfile.py", line 356, in calculate_macosx_platform_tag
assert len(base_version) == 2
AssertionError
----------------------------------------
ERROR: Failed building wheel for cffi
ERROR: Could not build wheels for argon2-cffi-bindings which use PEP 517 and cannot be installed directly
Successfully built OctoPrint
Failed to build argon2-cffi-bindings cffi
The update did not finish successfully. Please consult <code>octoprint.log</code> and <code>plugin_softwareupdate_console.log</code> for details.

Try what's suggested here

now it is working...

Thank you for your efforts...

1 Like